LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XSentenceCursor Interface Referencepublished

makes it possible to perform cursor movements through sentences. More...

`import"XSentenceCursor.idl";`

Inheritance diagram for XSentenceCursor:

## Public Member Functions
boolean | isStartOfSentence ()
| determines if the cursor is positioned at the start of a sentence. More...
boolean | isEndOfSentence ()
| determines if the cursor is positioned at the end of a sentence. More...
boolean | gotoNextSentence ([in] boolean Expand)
| moves the cursor to the start of the next sentence. More...
boolean | gotoPreviousSentence ([in] boolean Expand)
| moves the cursor to the start of the previous sentence. More...
boolean | gotoStartOfSentence ([in] boolean Expand)
| moves the cursor to the start of the current sentence. More...
boolean | gotoEndOfSentence ([in] boolean Expand)
| moves the cursor to the end of the current sentence. More...
Public Member Functions inherited from XTextCursor
void | collapseToStart ()
| sets the end of the position to the start. More...
void | collapseToEnd ()
| sets the start of the position to the end. More...
boolean | isCollapsed ()
| determines if the start and end positions are the same. More...
boolean | goLeft ([in] short nCount, [in] boolean bExpand)
| moves the cursor the specified number of characters to the left. More...
boolean | goRight ([in] short nCount, [in] boolean bExpand)
| moves the cursor the specified number of characters to the right. More...
void | gotoStart ([in] boolean bExpand)
| moves the cursor to the start of the text. More...
void | gotoEnd ([in] boolean bExpand)
| moves the cursor to the end of the text. More...
void | gotoRange ([in] com::sun::star::text::XTextRange xRange, [in] boolean bExpand)
| moves or expands the cursor to a specified TextRange. More...
Public Member Functions inherited from XTextRange
XText | getText ()
XTextRange | getStart ()
XTextRange | getEnd ()
string | getString ()
void | setString ([in] string aString)
| the whole string of characters of this piece of text is replaced. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to perform cursor movements through sentences.

## Member Function Documentation

## ◆ gotoEndOfSentence()

boolean gotoEndOfSentence | ( | [in] boolean | Expand | ) |

moves the cursor to the end of the current sentence.

Returns
  `TRUE` if the cursor is now at the end of a sentence, `FALSE` otherwise. If `FALSE` was returned the cursor will remain at its original position.

## ◆ gotoNextSentence()

boolean gotoNextSentence | ( | [in] boolean | Expand | ) |

moves the cursor to the start of the next sentence.

Returns
  `TRUE` if the cursor was moved. It returns `FALSE` it the cursor can not advance further.

## ◆ gotoPreviousSentence()

boolean gotoPreviousSentence | ( | [in] boolean | Expand | ) |

moves the cursor to the start of the previous sentence.

Returns
  `TRUE` if the cursor was moved. It returns `FALSE` it the cursor can not advance further.

## ◆ gotoStartOfSentence()

boolean gotoStartOfSentence | ( | [in] boolean | Expand | ) |

moves the cursor to the start of the current sentence.

Returns
  `TRUE` if the cursor is now at the start of a sentence, `FALSE` otherwise. If `FALSE` was returned the cursor will remain at its original position.

## ◆ isEndOfSentence()

boolean isEndOfSentence | ( |  | ) |

determines if the cursor is positioned at the end of a sentence.

## ◆ isStartOfSentence()

boolean isStartOfSentence | ( |  | ) |

determines if the cursor is positioned at the start of a sentence.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XSentenceCursor.idl